List patient profiles
curl --request GET \
--url https://api.eka.care/profiles/v1/patient/minified/ \
--header 'Authorization: Bearer <token>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/profiles/v1/patient/minified/"
headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/profiles/v1/patient/minified/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"mobile": "1212121212",
"fln": "Test user",
"u_ate": 1750918049,
"c_ate": 1750918049,
"arc": false,
"dob": "2000-01-02",
"gen": "M",
"oid": "175074536120088",
"wid": "77088111111111"
}
],
"currPageMeta": {
"currPageNo": 1,
"pageSize": 10,
"nextPage": 2
}
}Patient Directory APIs
List patient profiles
Retrieves a paginated list of patient profiles.
The following fields are always included in the response, regardless of the select parameter:
mobileoidusernamefln
GET
/
profiles
/
v1
/
patient
/
minified
/
List patient profiles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"EC_1431"
Query Parameters
Example:
1
The number of records to return. Default is 500. Maximum is 2000.
Example:
100
Comma-separated list of additional fields to include in the response.
Example: abha,dob,gen
Valid optional fields: abha, c_ate, dob, gen, u_ate
Get profiles created after this time Format: epoch timestamp Example: 1750745358
Include archived profiles in the response.
Default is false. Set to true to include archived profiles.
Setting this to true will also include arc field in the response wherever applicable.
Was this page helpful?

